## ros-iron-effort-controllers 3.15.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(effort_controllers LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic -Wconversion)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  forward_command_controller
  pluginlib
  rclcpp
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(effort_controllers SHARED
  src/joint_group_effort_controller.cpp
)
target_compile_features(effort_controllers PUBLIC cxx_std_17)
target_include_directories(effort_controllers PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/effort_controllers>
)
ament_target_dependencies(effort_controllers PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(effort_controllers PRIVATE "EFFORT_CONTROLLERS_BUILDING_DLL")
pluginlib_export_plugin_description_file(controller_interface effort_controllers_plugins.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_load_joint_group_effort_controller
    test/test_load_joint_group_effort_controller.cpp
  )
  target_link_libraries(test_load_joint_group_effort_controller
    effort_controllers
  )
  ament_target_dependencies(test_load_joint_group_effort_controller
    controller_manager
    ros2_control_test_assets
  )

  ament_add_gmock(test_joint_group_effort_controller
    test/test_joint_group_effort_controller.cpp
  )
  target_link_libraries(test_joint_group_effort_controller
    effort_controllers
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/effort_controllers
)
install(
  TARGETS effort_controllers
  EXPORT export_effort_controllers
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_effort_controllers HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-iron-effort-controllers (3.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-iron-effort-controllers (3.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-iron-effort-controllers (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-iron-effort-controllers (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-iron-effort-controllers (3.11.0-1jammy) jammy; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-iron-effort-controllers (3.10.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-iron-effort-controllers (3.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-iron-effort-controllers (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-iron-effort-controllers (3.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-iron-effort-controllers (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-iron-effort-controllers (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-iron-effort-controllers (3.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-iron-effort-controllers (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-iron-effort-controllers (3.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-iron-effort-controllers (3.2.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-iron-effort-controllers (3.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-iron-effort-controllers (3.0.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-iron-effort-controllers (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-iron-effort-controllers (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-iron-effort-controllers (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-iron-effort-controllers (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-iron-effort-controllers (2.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-iron-effort-controllers (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-iron-effort-controllers (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-iron-effort-controllers (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-iron-effort-controllers (2.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-iron-effort-controllers (2.6.0-1jammy) jammy; urgency=high

  * CMakeLists cleanup (#362 <https://github.com/ros-controls/ros2_controllers/issues/362>)
  * Fix exception about parameter already been declared & Change default c++ version to 17 (#360 <https://github.com/ros-controls/ros2_controllers/issues/360>)
    * Default C++ version to 17
    * Replace explicit use of declare_paremeter with auto_declare
  * Contributors: Andy Zelenak, Jafar Abdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-iron-effort-controllers (2.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-iron-effort-controllers (2.4.0-1jammy) jammy; urgency=high

  * Multi-interface Forward Controller (#154 <https://github.com/ros-controls/ros2_controllers/issues/154>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-iron-effort-controllers (2.3.0-1jammy) jammy; urgency=high

  * Use CallbackReturn from controller_interface namespace (#333 <https://github.com/ros-controls/ros2_controllers/issues/333>)
  * Contributors: Bence Magyar, Denis Štogl



=== debian/control ===
Source: ros-iron-effort-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-backward-ros, ros-iron-controller-manager <!nocheck>, ros-iron-forward-command-controller, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-effort-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-backward-ros, ros-iron-forward-command-controller, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Description: Generic controller for forwarding commands.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-effort-controllers//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
